Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Bulk create translations

Creates multiple translation records in a single request (max 30) with support for automatic slug generation for products

POST/api/v1/{team_slug}/{app_slug}/translations/bulk
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Request body
requiredapplication/json

Translation data, max 30 translations

Array of internal_pkg_webserver_v1.CreateTranslationBody
create_slugboolean

if this is true and the fieldType is name, a slug is generated from the translation, or formatted as a slug when the fieldType is slug. Generating a slug from a name is only available to products as of now. An existing slug is only replaced when the app automates redirect creation.

field_typegithub_com_enadhq_nabbit_internal_pkg_database.TranslationFieldTyperequired
Allowed:namevaluedescriptionalttitletypecopyrightslugmeta_titlemeta_descriptionhtml_descriptionshort_descriptionhtml_short_descriptionkey
language_codestringrequired

Locale code like "en" or "en-gb". The locale also needs to be configured and supported by the app.

parent_refstringrequired
parent_typegithub_com_enadhq_nabbit_internal_pkg_database.TranslationType
Allowed:productproduct_bundleproduct_variantimageattributeattribute_valuecategorytagcollectionfilebundle_groupvideobrandvariant_groupchannel_content
translationstringrequired
Responses
200

Translations created successfully

datastringrequired
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.enad.io/api/v1/string/string/translations/bulk' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '[
  {
    "create_slug": true,
    "field_type": "name",
    "language_code": "string",
    "parent_ref": "string",
    "parent_type": "product",
    "translation": "string"
  }
]'
Response
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}